

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Physical masks in VTS &mdash; VTS 3.4.2-8200 documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="VTS 3.4.2-8200 documentation" href="../../index.html"/>
        <link rel="up" title="General" href="index.html"/>
        <link rel="next" title="Scale factors in VTS" href="Scale_factors_in_VTS.html"/>
        <link rel="prev" title="Sensors in VTS" href="Sensors_in_VTS.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> VTS
          

          
          </a>

          
            
            
              <div class="version">
                3.4
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../Introduction/index.html">Introduction</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="index.html">General</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="Conventions_in_VTS.html">Conventions in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Date_formats_in_VTS.html">Date formats in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Data_sources_in_VTS.html">Data sources in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Position_of_objects_in_VTS.html">Position of objects in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Orientation_of_objects_in_VTS.html">Orientation of objects in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Examples_for_position_and_orientation_of_objects_in_VTS.html">Examples for position and orientation of objects in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Backwards_compatibility_in_VTS.html">Backward compatibility in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Object_paths_in_VTS.html">Object paths in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Central_bodies_in_VTS.html">Central bodies in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Structure_of_satellites_in_VTS.html">Structure of satellites in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Sensors_in_VTS.html">Sensors in VTS</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Physical masks in VTS</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#cic-ccsds-mask-file-format">CIC/CCSDS mask file format</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="Scale_factors_in_VTS.html">Scale factors in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Scenario_in_VTS.html">Scenario in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Manage_window_geometry.html">Window Geometry Manager</a></li>
<li class="toctree-l2"><a class="reference internal" href="Mission_events_in_VTS.html">Mission events in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="POIs_and_ROIs_in_VTS.html">POIs and ROIs in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="Other_visualisable_objects.html">Other visualisable objects</a></li>
<li class="toctree-l2"><a class="reference internal" href="Scripts_and_macros_in_VTS.html">Scripts and macros in VTS</a></li>
<li class="toctree-l2"><a class="reference internal" href="VTS_Broker.html">VTS Broker</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../Files_used_by_VTS/index.html">Files used by VTS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Starting_VTS/index.html">Starting VTS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../VTS_applications_user_manuals/index.html">VTS applications user manuals</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Plugin_development/index.html">Plugin development</a></li>
<li class="toctree-l1"><a class="reference internal" href="../Data_generators_in_VTS/index.html">Data generator integration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../About/index.html">About</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">VTS</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="index.html">General</a> &raquo;</li>
        
      <li>Physical masks in VTS</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/pages/General/Masks_in_VTS.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="physical-masks-in-vts">
<span id="masks-in-vts"></span><h1>Physical masks in VTS<a class="headerlink" href="#physical-masks-in-vts" title="Permalink to this headline">¶</a></h1>
<p>A physical mask describes irregularities of the aiming volume of a ground station due to obstacles (relief, buildings, …). It applies to the full visibility area (no minimal elevation angle).</p>
<p>Mask point coordinates describe the contour of a closed shape in elevation/azimuth. To represent a line of sight, it’s necessary to close to the surface along the horizon. Using this convention, any shape can be represented as a mask.</p>
<div class="figure align-center" id="id1">
<a class="reference internal image-reference" href="../../_images/MaskRing.png"><img alt="../../_images/MaskRing.png" src="../../_images/MaskRing.png" style="width: 361.5px; height: 294.5px;" /></a>
<p class="caption"><span class="caption-text">Ring shaped mask in ZenithView</span></p>
</div>
<div class="figure align-center" id="id2">
<a class="reference internal image-reference" href="../../_images/MaskDisc.png"><img alt="../../_images/MaskDisc.png" src="../../_images/MaskDisc.png" style="width: 360.5px; height: 294.0px;" /></a>
<p class="caption"><span class="caption-text">Disc shaped mask in ZenithView</span></p>
</div>
<div class="section" id="cic-ccsds-mask-file-format">
<span id="masks-in-vts-cic-cic-ccsds-mask-file-format"></span><h2>CIC/CCSDS mask file format<a class="headerlink" href="#cic-ccsds-mask-file-format" title="Permalink to this headline">¶</a></h2>
<p>Masks are defined in CIC/CCSDS files in MPM format. For more information on the CIC/CCSDS file format, refer to the <a class="reference internal" href="../Files_used_by_VTS/CIC-CCSDS_data_files_in_VTS.html#cic-ccsds-data-files-in-vts"><span class="std std-ref">CIC-CCSDS data files in VTS</span></a> chapter.</p>
<p>A CIC/CCSDS mask file must have the following characteristics:</p>
<ul class="simple">
<li>The <code class="docutils literal"><span class="pre">USER_DEFINED_PROTOCOL</span></code> must be <code class="docutils literal"><span class="pre">NONE</span></code>.</li>
<li>The <code class="docutils literal"><span class="pre">USER_DEFINED_CONTENT</span></code> may be arbitrary.</li>
<li>The <code class="docutils literal"><span class="pre">USER_DEFINED_SIZE</span></code> must be <code class="docutils literal"><span class="pre">2</span></code>.</li>
<li>The <code class="docutils literal"><span class="pre">USER_DEFINED_TYPE</span></code> must be <code class="docutils literal"><span class="pre">REAL</span></code>.</li>
<li>The <code class="docutils literal"><span class="pre">USER_DEFINED_UNIT</span></code> must be <code class="docutils literal"><span class="pre">[deg]</span></code>.</li>
</ul>
<p>The data values in the file are coordinates in elevation/azimuth.</p>
<p>In masks files, the special data value <code class="docutils literal"><span class="pre">180</span> <span class="pre">180</span></code> is interpreted as a separator and will create a new polygon with the following sequence of coordinates.</p>
</div>
</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="Scale_factors_in_VTS.html" class="btn btn-neutral float-right" title="Scale factors in VTS" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="Sensors_in_VTS.html" class="btn btn-neutral" title="Sensors in VTS" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, VTS Team.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'3.4.2-8200',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>